.three-rect-images {
  position: absolute;
  top: 50%;
  right: 0;
  width: 35%;
  max-width: 500px;
  min-width: 350px;
  transform: translate3d(0, -50%, 0);
}

.three-rect-images > div {
  width: 100%;
  height: 0;
  padding-bottom: 35%;
  position: relative;
}

.rect-image {
  display: block;
  width: 100%;
  height: calc(100% + 2px);
  object-fit: cover;
  transition: transform 1s;
  transform: translate3d(100%, 0, 0);
  position: absolute;
  top: 0;
  left: 0;
}

.three-rect-images.in-view .rect-image {
  transform: translate3d(0, 0, 0);
}

.rect-image-1 {
  transition-delay: 0.1s;
}

.rect-image-3 {
  transition-delay: 0.2s;
}

.three-rect-images svg {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translate3d(50%, -50%, 0);
  z-index: -1;
  width: 100%;
}

/* 1050 */
@media only screen and (max-width: 1050px) {
  .three-rect-images {
    transform: translate3d(20%, -50%, 0);
  }
}

/* 950 */
@media only screen and (max-width: 950px) {
  .three-rect-images {
    display: none;
  }
}

/* 500 */
@media only screen and (max-width: 500px) {
  .three-rect-images {
    display: block;
    position: relative;
    top: 0;
    right: 0;
    width: calc(100% + var(--side-padding) * 2);
    max-width: calc(100% + var(--side-padding) * 2);
    min-width: 350px;
    transform: translate3d(calc(-1 * var(--side-padding)), 0, 0);
  }

  three-rect-images > div {
    padding-bottom: 150px;
  }

  .three-rect-images svg {
    display: none;
  }
}
